> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazygoldfish.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v1/ielts/evaluation

> Submit a request for evaluation directly by providing questions and respective answers in a json format. The API generates an evaluation report based on the provided data, and returns an acknowledgment along with an evaluation ID.



## OpenAPI

````yaml POST /v1/ielts/evaluation
openapi: 3.0.1
info:
  title: Evaluation Report API
  description: An API for retrieving evaluation reports.
  version: 1.0.0
servers:
  - url: https://api-staging.crazygoldfish.com
    description: SandBox endpoint
  - url: https://api.crazygoldfish.com
    description: Prod End Point
security: []
paths:
  /v1/ielts/evaluation:
    post:
      summary: Submit Evaluation Request
      description: >-
        Allows B2B clients to submit a request for evaluation directly by
        providing questions and respective answers in JSON format.
      parameters:
        - name: accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                  description: Unique identifier assigned to the client accessing the API.
                  example: 12345ABC
                institution_id:
                  type: string
                  description: Unique identifier of the institution (optional).
                  example: 67890XYZ
                teacher_id:
                  type: string
                  description: Identifier of the teacher (optional).
                  example: 98765LMN
                parent_id:
                  type: string
                  description: >-
                    Unique identifier of the parent associated with the student
                    (optional).
                  example: 54321PQR
                student_id:
                  type: string
                  description: >-
                    Identifies the specific student for whom the evaluation is
                    being requested.
                  example: 11223STU
                exam_type:
                  type: string
                  description: >-
                    Type of IELTS exam (AC for Academic, GT for General
                    Training).
                  example: AC
                  enum:
                    - AC
                    - GT
                student_name:
                  type: string
                  description: >-
                    Name of the student for whom the evaluation is being
                    requested.
                  example: John Doe
                image_urls:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of URLs pointing to the images of the evaluated work
                    (optional).
                  example:
                    - http://example.com/image1.jpg
                    - http://example.com/image2.jpg
                evaluation_text:
                  type: array
                  items:
                    type: object
                    properties:
                      question_id:
                        type: string
                        description: Identifier of the question.
                        example: q1
                      question_number:
                        type: string
                        description: Number of the question.
                        example: '1'
                      question_section:
                        type: string
                        description: Section of the question (currently 'writing').
                        example: writing
                        enum:
                          - writing
                      question_type:
                        type: string
                        description: >-
                          Type of the question. Check product description page
                          for [Question Types
                          details.](https://docs.crazygoldfish.com/products/ielts)
                        example: IE-AC-W-01
                        enum:
                          - IE-AC-W-01
                          - IE-AC-W-02
                          - IE-GT-W-01
                          - IE-GT-W-02
                      question_text:
                        type: string
                        description: Text of the question.
                        example: Summarize the points made in the lecture.
                      question_multimedia_url:
                        type: string
                        description: URL of multimedia related to the question (optional).
                      answer_text:
                        type: string
                        description: Text of the answer.
                        example: >-
                          The lecture discusses the various impacts of climate
                          change.
                      answer_multimedia_url:
                        type: string
                        description: URL of multimedia related to the answer (optional).
                      custom_rubric_id:
                        type: string
                        description: Identifier of custom rubric for scoring.
                        example: '1234'
                    required:
                      - question_id
                      - question_number
                      - question_section
                      - question_type
                      - question_text
                      - answer_text
                  description: List of evaluation questions and answers.
              required:
                - client_id
                - student_id
                - exam_type
                - student_name
                - evaluation_text
      responses:
        '200':
          description: Evaluation request submitted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: '200'
                  message:
                    type: string
                    example: Evaluation request submitted successfully
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        evaluation_id:
                          type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid request body
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````